## org.codehaus.groovy.util
Class AbstractConcurrentMapBase

    java.lang.Object
      org.codehaus.groovy.util.AbstractConcurrentMapBase

Direct Known Subclasses:
  AbstractConcurrentDoubleKeyMap, AbstractConcurrentMap

    public abstract class AbstractConcurrentMapBase

extends Object

Nested Class Summary
`protected static class` `AbstractConcurrentMapBase.Segment`

Field Summary
`protected static int` `MAXIMUM_CAPACITY`
`protected AbstractConcurrentMapBase.Segment[]` `segments`

Constructor Summary
`AbstractConcurrentMapBase(Object segmentInfo)`

Method Summary
`protected abstract AbstractConcurrentMapBase.Segment` `createSegment(Object segmentInfo, int cap)`
`int` `fullSize()`

`protected static

`<K> int`

`

`hash(K key)`

`AbstractConcurrentMapBase.Segment` `segmentFor(int hash)`
`int` `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAXIMUM_CAPACITY

    protected static final int MAXIMUM_CAPACITY

See Also:
  Constant Field Values

### segments

    protected final AbstractConcurrentMapBase.Segment[] segments

Constructor Detail

### AbstractConcurrentMapBase

    public AbstractConcurrentMapBase(Object segmentInfo)

Method Detail

### createSegment

    protected abstract AbstractConcurrentMapBase.Segment createSegment(Object segmentInfo,
                                                                       int cap)

### hash

    protected static <K> int hash(K key)

### segmentFor

    public AbstractConcurrentMapBase.Segment segmentFor(int hash)

### fullSize

    public int fullSize()

### size

    public int size()

Copyright © 2003-2009 The Codehaus. All rights reserved.